diff --git a/tests/qemuxml2argvdata/qemuxml2argv-watchdog-device.args b/tests/qemuxml2argvdata/qemuxml2argv-watchdog-device.args
index a4cbeb7..1913eeb 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-watchdog-device.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-watchdog-device.args
@@ -1 +1,5 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M pc -m 214 -smp 1 -nographic -nodefconfig -nodefaults -monitor unix:/tmp/test-monitor,server,nowait -no-acpi -boot c -hda /dev/HostVG/QEMUGuest1 -usb -device ib700,id=watchdog0 -watchdog-action poweroff -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x2
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M \
+pc -m 214 -smp 1 -nographic -nodefconfig -nodefaults -monitor \
+unix:/tmp/test-monitor,server,nowait -no-acpi -boot c -hda \
+/dev/HostVG/QEMUGuest1 -usb -device ib700,id=watchdog0 -watchdog-action \
+poweroff -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x2
diff --git a/tests/qemuxml2argvdata/qemuxml2argv-watchdog-dump.args b/tests/qemuxml2argvdata/qemuxml2argv-watchdog-dump.args
index 50b26f8..25cca20 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-watchdog-dump.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-watchdog-dump.args
@@ -1 +1,4 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M pc -m 214 -smp 1 -nographic -monitor unix:/tmp/test-monitor,server,nowait -no-acpi -boot c -hda /dev/HostVG/QEMUGuest1 -net none -serial none -parallel none -usb -watchdog ib700 -watchdog-action pause
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M \
+pc -m 214 -smp 1 -nographic -monitor unix:/tmp/test-monitor,server,nowait \
+-no-acpi -boot c -hda /dev/HostVG/QEMUGuest1 -net none -serial none -parallel \
+none -usb -watchdog ib700 -watchdog-action pause
diff --git a/tests/qemuxml2argvdata/qemuxml2argv-watchdog.args b/tests/qemuxml2argvdata/qemuxml2argv-watchdog.args
index 40a656b..5974b84 100644
--- a/tests/qemuxml2argvdata/qemuxml2argv-watchdog.args
+++ b/tests/qemuxml2argvdata/qemuxml2argv-watchdog.args
@@ -1 +1,4 @@
-LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M pc -m 214 -smp 1 -nographic -monitor unix:/tmp/test-monitor,server,nowait -no-acpi -boot c -hda /dev/HostVG/QEMUGuest1 -net none -serial none -parallel none -usb -watchdog ib700 -watchdog-action poweroff
+LC_ALL=C PATH=/bin HOME=/home/test USER=test LOGNAME=test /usr/bin/qemu -S -M \
+pc -m 214 -smp 1 -nographic -monitor unix:/tmp/test-monitor,server,nowait \
+-no-acpi -boot c -hda /dev/HostVG/QEMUGuest1 -net none -serial none -parallel \
+none -usb -watchdog ib700 -watchdog-action poweroff
diff --git a/tests/testutils.c b/tests/testutils.c
index 17584ac..175f86d 100644
--- a/tests/testutils.c
+++ b/tests/testutils.c
@@ -173,12 +173,14 @@ virtTestRun(const char *title, int nloops, int (*body)(const void *data), const
 /* Read FILE into buffer BUF of length BUFLEN.
    Upon any failure, or if FILE appears to contain more than BUFLEN bytes,
    diagnose it and return -1, but don't bother trying to preserve errno.
-   Otherwise, return the number of bytes read (and copied into BUF).  */
+   Otherwise, return the number of bytes copied into BUF. */
 int virtTestLoadFile(const char *file,
                      char **buf,
                      int buflen) {
     FILE *fp = fopen(file, "r");
     struct stat st;
+    char *tmp = *buf;
+    int len, tmplen = buflen;
 
     if (!fp) {
         fprintf (stderr, "%s: failed to open: %s\n", file, strerror(errno));
@@ -197,17 +199,28 @@ int virtTestLoadFile(const char *file,
         return -1;
     }
 
+    (*buf)[0] = '\0';
     if (st.st_size) {
-        if (fread(*buf, st.st_size, 1, fp) != 1) {
+        /* read the file line by line */
+        while (fgets(tmp, tmplen, fp) != NULL) {
+            len = strlen(tmp);
+            /* remove trailing backslash-newline pair */
+            if (len >= 2 && tmp[len-2] == '\\' && tmp[len-1] == '\n') {
+                len -= 2;
+            }
+	    /* advance the temporary buffer pointer */
+            tmp += len;
+            tmplen -= len;
+        }
+        if (ferror(fp)) {
             fprintf (stderr, "%s: read failed: %s\n", file, strerror(errno));
             VIR_FORCE_FCLOSE(fp);
             return -1;
         }
     }
-    (*buf)[st.st_size] = '\0';
 
     VIR_FORCE_FCLOSE(fp);
-    return st.st_size;
+    return strlen(*buf);
 }
 
 #ifndef WIN32
-- 
1.7.1

